package com.inspect.metadata.montdata.mapper;

import com.inspect.metadata.montdata.domain.BasedataMontPatDevStaData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataMontPatDevStaDataMapper {
    BasedataMontPatDevStaData selectBasedataMontPatDevStaDataByMontPatDevStaDataId(Long dataId);

    List<BasedataMontPatDevStaData> selectBasedataMontPatDevStaDataList(BasedataMontPatDevStaData data);

    int insertBasedataMontPatDevStaData(BasedataMontPatDevStaData data);

    int updateBasedataMontPatDevStaData(BasedataMontPatDevStaData data);

    int deleteBasedataMontPatDevStaDataByMontPatDevStaDataId(Long dataId);

    int deleteBasedataMontPatDevStaDataByMontPatDevStaDataIds(Long[] dataIds);
}
